This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 24168 - user passwords not set (20010116)
user passwords not set (20010116)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 19:37 EST by Jeremy Katz
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 19:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-01-16 19:37:14 EST
Just did a test install with anaconda from the 200101116 rawhide update and
although a user was added during the install, the password for the user is
not set in /etc/shadow upon completion of the install
Comment 1 Glen Foster 2001-01-17 13:14:00 EST
This defect is considered MUST-FIX for Florence Beta-3
Comment 2 Matt Wilson 2001-01-22 00:29:08 EST
My 1st go at the fix.....

retrieving revision 1.538
retrieving revision 1.539
diff -u -r1.538 -r1.539
--- todo.py	2001/01/20 01:45:06	1.538
+++ todo.py	2001/01/22 04:30:48	1.539
@@ -1233,7 +1233,7 @@
 
 	devnull = os.open("/dev/null", os.O_RDWR)
 
-	argv = [ "/usr/sbin/usermod", "-p", password, "root" ]
+	argv = [ "/usr/sbin/usermod", "-p", password, account ]
 	iutil.execWithRedirect(argv[0], argv, root = self.instPath, 
 			       stdout = '/dev/null', stderr = None)
 	os.close(devnull)
Comment 3 Matt Wilson 2001-01-22 00:53:00 EST
should be fixed in today's build.

Note You need to log in before you can comment on or make changes to this bug.